2008-02-04  Nicolas Boullis  <nboullis@debian.org>
	* configure.in,
	  modules/Makefile:
	Release 0.16.4.

2008-01-07  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_i2c.c:
	Get rid of some warnings related to the result of
	sysfs_create_link being unused and log some runtime warning in
	case of failure. Thanks to Christian Gmeiner for the initial
	work.

2008-01-05  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_audio.c:
	Get rid of some warnings introduced by the S/PDIF rewrite. Thanks
	to Christian Gmeiner for his patch.

2008-01-02  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_i2c.c:
	Disable the encoder chip when it is discovered and until the
	firmware in loaded and everything is properly configured.

	* modules/em8300_dicom.c:
	Completely rewrite from scratch the code to deal with brightness,
	contrast and saturation, since it was obviously decompiled and
	possibly illegal.

	* include/linux/em8300.h,
	  modules/em8300_audio.c:
	Completely rewrite from scratch the code to deal with S/PDIF
	digital audio, since it was obviously decompiled and possibly
	illegal.

2007-12-10  Nicolas Boullis  <nboullis@debian.org>
	* modules/adv717x.c,
	  modules/em8300_i2c.c,
	  modules/em8300_sysfs.c,
	  modules/encoder.h:
	Continue the code reorganization of the ADV717X driver. The
	ADV717X chip is now configured by the em8300 driver (through the
	adv717x driver, of course).

2007-12-03  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_compat24.h,
	  modules/em8300_main.c:
	Switch from the old SA_* macros to the new IRQF_* ones, and add
	compatibility workaround for older kernels. Thanks to all those
	who told me about the problem, and especially Martin Dauskardt and
	Christian Gmeiner who provided a patch (although I did not use
	it).

	* modules/adv717x.c,
	  modules/adv717x.h:
	Reorganize the code of the ADV717X driver to ease the future works
	of making it independant of the EM8300 driver, and of making
	automatic configuration possible.

2007-11-09  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_i2c.c:
	Remove the sysfs links from the em8300 device to the encoder and
	eeprom devices when those devices are unregistered, to ensure
	correct removal of the em8300 module.

2007-11-05  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_i2c.c:
	Add sysfs links from the em8300 device to the encoder and eeprom
	devices.

2007-09-03  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_dicom.c:
	Fix the issue of swapped red and blue channels with some cards and
	some zoom values.

2007-08-24  Ville Skyttä  <scop@users.sourceforge.net>
	* modules/em8300_ioctl.c,
	  modules/em8300_ioctl32.c:
	Fix build with 2.6.23 release candidate kernels.

2007-08-21  Nicolas Boullis  <nboullis@debian.org>
	* configure.in,
	  modules/Makefile:
	New development version.

2007-08-17  Nicolas Boullis  <nboullis@debian.org>
	* configure.in,
	  modules/Makefile:
	Release 0.16.3.

2007-08-07  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_eeprom.c:
	Fix the error detection and handling if crypto_alloc_hash fails.
	Thanks to Gabor Z. Papp who first told about the problem and then
	tracked it down to a missing MD5 hash on his system.

2007-08-07  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_eeprom.c:
	Fix cleanup in case of a failure to allocate 16 bytes for
	em->eeprom_checksum.

2007-08-03  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_sysfs.c:
	Calling the command function of the adv717x driver from the em8300
	module with a pointer to the stack apparently was not a good
	idea. Use a kmallocated buffer instead. Thanks to Antoine Pardigon
	who reported the problem.

2007-07-17  Ville Skyttä  <scop@users.sourceforge.net>
	* dhc/dhc.desktop,
	  overlay/autocal.desktop,
	  overlay/dxr3view.desktop:
	Bring up to date with desktop entry specification 1.0,
	add StartupWMClass.

2007-07-11  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_sysfs.c:
	Slightly improve the "model" sysfs file to tag important
	questions, drop non-relevant ones and explicit values to
	try. Let's hope it will lead to more (and/or better) reports.

2007-06-20  Ville Skyttä  <scop@users.sourceforge.net>
	* dhc/dhc_main.c,
	  overlay/autocal.c,
	  overlay/dxr3view.c:
	Add GUI error dialogs for device access problems on startup.

2007-06-18  Nicolas Boullis  <nboullis@debian.org>
	* include/linux/em8300.h,
	  modules/em8300_dicom.c,
	  modules/em8300_main.c,
	  modules/em8300_sysfs.c:
	Add a new "zoom" sysfs file for those who consider the output
	image is too large. Feedback is welcome, especially if some values
	cause screen flicker or wrong colors.

2007-06-18  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_eeprom.c:
	Fix a bug that is triggered when the kernel is configured with
	CONFIG_CRYPTO but without CONFIG_CRYPTO_MD5.

2007-05-20  Nicolas Boullis  <nboullis@debian.org>
	* include/linux/em8300.h,
	  modules/em8300_i2c.c,
	  modules/em8300_main.c:
	Split the i2c busses initalization, so that it becomes possible to
	read the EEPROM chip before the video encoder chip can be
	detected. (This will be useful for autoconfiguration.)


2007-05-17  Nicolas Boullis  <nboullis@debian.org>
	* modules/Makefile:
	Fix a bug in the detection of pre-2.5.51 linux kernels. Thanks to
	Gabor Z. Papp for pointing out the problem.

2007-05-14  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_main.c:
	Use pci_register_driver instead pci_module_init since the latter
	is removed in linux 2.6.22. Thanks to Adam who noticed the problem
	with linux 2.6.21-git5. The only expected change in behavior is
	that the module won't fail to load with linux 2.4 kernels if no
	em8300-based board is present.

2007-05-14  Nicolas Boullis  <nboullis@debian.org>
	* configure.in,
	  modules/Makefile:
	New development version.

2007-05-06  Nicolas Boullis  <nboullis@debian.org>
	* configure.in,
	  modules/Makefile:
	Release 0.16.2.

2007-04-11  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_sysfs.c:
	Improve the "model" sysfs file, considering that the dicom_fix and
	dicom_control options only do something for bt865-based cards.

2007-04-04  Ville Skyttä  <scop@users.sourceforge.net>
	* modules/em8300_sysfs.c:
	Spelling fix in "model" file contents.

2007-04-02  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_sysfs.c:
	Reformat the "model" sysfs file and change the target
	mailing-list.

2007-03-24  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_eeprom.c:
	Rewrite the checksumming code, using the sg_init_one function, to
	make it cleaner. Thanks to Herbert Xu who hinted me about the
	sg_set_buf function.

2007-03-16  Nicolas Boullis  <nboullis@debian.org>
	* include/linux/em8300.h,
	  modules/em8300_alsa.c:
	Fix compatibility with ALSA in linux kernel 2.6.21. Thanks to
	Ville Skyttä who spotted the problem.

	* modules/em8300_eeprom.c:
	Fix compatibility with linux kernel 2.6.21 by using the new
	crypto_hash functions. Thanks to "nyk" who spotted the problem.

	* modules/em8300_eeprom.c:
	Make it possible again to use the em8300 driver without
	CONFIG_CRYPTO (although in degraded mode).

2007-03-09  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_sysfs.c:
	Fix the prototype of the show_model function for kernels older
	than 2.6.13.

2007-03-06  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_params.c:
	Remove the #includes that are now useless as they were only
	required by the #included include/linux/em8300.h, and add
	forgotten ones.

	* include/linux/em8300.h,
	  modules/Makefile,
	  modules/adv717x.c,
	  modules/em8300_eeprom.c,
	  modules/em8300_eeprom.h,
	  modules/em8300_main.c,
	  modules/em8300_procfs.c,
	  modules/em8300_sysfs.c,
	  modules/encoder.h:
	Implement some preliminary hardware detection. It will not yet
	autodetect the optimal module parameters for any given board but
	will hopefully help gather enough data to make that autodetection
	possible.

2007-03-03  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_main.c:
	Add some missing initialization. Thanks to Jan Kandziora for
	telling me about the problem he was experiencing, and for finding
	out a workaround.

	* include/linux/em8300.h:
	Include all the headers required by include/linux/em8300.h.

2007-03-02  Nicolas Boullis  <nboullis@debian.org>
	* modules/Makefile,
	  modules/em8300_alsa.c,
	  modules/em8300_devfs.c,
	  modules/em8300_dicom.c,
	  modules/em8300_ioctl.c,
	  modules/em8300_main.c,
	  modules/em8300_params.c,
	  modules/em8300_params.h,
	  modules/em8300_ucode.c,
	  modules/em8300_udev.c,
	  modules/em8300_video.c:
	Split the module parameters out of em8300_main.c and into a new
	file, to make em8300_main.c shorter.

2007-03-01  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_i2c.c:
	Set the em8300 device as the parent device for its two i2c
	busses. This is cleaner and avoids a warning. Thanks to Martin
	Dauskardt for telling me about this warning.

2007-03-01  Nicolas Boullis  <nboullis@debian.org>
	* configure.in,
	  modules/Makefile:
	New development version.

2007-02-28  Nicolas Boullis  <nboullis@debian.org>
	* configure.in,
	  modules/Makefile:
	Release 0.16.1.

2007-02-26  Ville Skyttä  <scop@users.sourceforge.net>
	* modules/README-modoptions:
	Spelling fixes.

2007-02-20  Ville Skyttä  <scop@users.sourceforge.net>
	* modules/README-modoptions:
	Document stop_video.

2007-02-18  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_i2c.c:
	Use i2c_del_adapter instead of i2c_bit_del_bus for kernels 2.6.0
	and above, to fix compatibility with 2.6.20 kernels. Thanks to
	David van Vyfeyken for the patch.

	* modules/em8300_ioctl.c,
	  modules/em8300_main.c,
	  modules/em8300_ucode.c,
	  modules/em8300_video.c:
	Add a parameter to choose between no video output and black video
	output when there is nothing to display (black video output by
	default).

	* modules/em8300_ioctl.c,
	  modules/em8300_main.c:
	Ensure that video output is off (to avoid displaying cruft) when
	overlay is used.

2007-02-12  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_i2c.c:
	Slow down the comunications with the em9010 chip, so that it does
	not interfere with the video encoders. Thanks to Sascha Hauer for
	telling about the problem, and for the patch.

2006-12-10  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_main.c:
	Fix the documentation string for the alsa_id and alsa_index module
	options. Thanks to Brendon Higgins for the patch.

	* modules/README-modoptions:
	Improve the README-modoptions documentation. Thanks to Brendon
	Higgins for the patch.

2006-11-27  Nicolas Boullis  <nboullis@debian.org>
	* configure.in:
	Search the alsa.conf file to find the proper location for the
	EM8300.conf configuration file.

	* Makefile.am:
	Only uninstall EM8300.conf if $(alsadir) is set (that is if
	EM8300.conf was installed).

2006-11-26  Nicolas Boullis  <nboullis@debian.org>
	* configure.in,
	  modules/Makefile:
	New development version.

2006-11-26  Nicolas Boullis  <nboullis@debian.org>
	* configure.in,
	  modules/Makefile:
	Release 0.16.0.

2006-11-23  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_main.c:
	Fix a stupid mistake (misplaced comma) I did while changing the
	prototype of the em8300_irq function for 2.6.19 kernels. Thanks to
	Adam and Sebastian Frei.

2006-11-22  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_main.c:
	The prototype of the function that request_irq expects will change
	slightly in 2.6.19. Change the em8300_irq function
	accordingly. Thanks to Adam for noticing.

	* modules/em8300_main.c:
	Fix a stupid mistake in a call to pr_debug where a full array was
	given to print instead of a single element. Thanks to Adam for
	noticing.

	* modules/Makefile:
	Use "printf" rather than "echo -e", as the latter may be
	unavailable with some shells.

2006-11-21  Ville Skyttä  <scop@users.sourceforge.net>
	* dhc/dhc.desktop,
	  overlay/autocal.desktop,
	  overlay/dxr3view.desktop:
	Bring desktop entry categories up to date with current
	freedesktop.org menu specification.

2006-11-19  Nicolas Boullis  <nboullis@debian.org>
	* Makefile.am:
	  configure.in:
	Install the ALSA configuration file, and make its location
	configurable.

	* Makefile.am:
	Fix uninstalling.

2006-11-18  Ville Skyttä  <scop@users.sourceforge.net>
	* modules/Makefile:
	Use $(CURDIR) instead of $(PWD) to fix build when current working
	dir is not modules/.

2006-11-18  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_i2c.c:
	The mdelay field of the i2c_algo_bit_data struct has apparently
	been unused since before 2.4.0 and will be gone in 2.6.19. Don't
	set it at all.

2006-11-16  Nicolas Boullis  <nboullis@debian.org>
	* modules/Makefile,
	  modules/adv717x.c,
	  modules/em8300_devfs.c,
	  modules/em8300_main.c,
	  modules/em8300_procfs.c,
	  modules/em8300_registration.h:
	Since 2.6.15, there is no need to #include linux/config.h and this
	file is due to be gone in 2.6.19. Don't include it anymore from
	the individual files. For older kernels, include it from the
	Makefile.

	* modules/em8300_alsa.c:
	chip_t is needed for old versions of ALSA; define it.

	* modules/em8300_alsa.c:
	kcalloc was not defined in older kernel versions; use
	kmalloc+memset instead.

	* modules/adv717x.c,
	  modules/bt865.c,
	  modules/em8300_main.c:
	Fully revert the MODULE_PARM change for kernels between 2.6.0 and
	2.6.10.

2006-11-12  Nicolas Boullis  <nboullis@debian.org>
	* modules/adv717x.c,
	  modules/bt865.c,
	  modules/em8300_main.c:
	The module_param_array function changed incompatibly in 2.6.10;
	revert to the old MODULE_PARM function for older kernels.

	* modules/Makefile:
	Partial rewrite of the Makefile to avoid hackish reading of kernel
	version.

2006-09-24  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_alsa.c,
	  modules/em8300_main.c:
	Add new alsa_index and alsa_id parameters to choose the ALSA index
	number and id string.

2006-09-20  Ville Skyttä  <scop@users.sourceforge.net>
	* Makefile.am:
	Include modules/EM8300.conf in tarball, make EXTRA_DIST
	more readable.

2006-09-13  Nicolas Boullis  <nboullis@debian.org>
	* include/linux/em8300.h,
	  modules/Makefile,
	  modules/em8300_alsa.c,
	  modules/em8300_audio.c,
	  modules/em8300_devfs.c,
	  modules/em8300_ioctl.c,
	  modules/em8300_main.c,
	  modules/em8300_ucode.c,
	  modules/em8300_udev.c:
	Choose the audio driver (ALSA or OSS) at load-time and on a
	per-card basis.

	* modules/em8300_devfs.c,
	  modules/em8300_main.c:
	Only include linux/devfs_fs_kernel.h if CONFIG_DEVFS_FS is
	defined. This should fix compilation issues with 2.6.18(rc)
	kernels.

2006-08-23  Ville Skyttä  <scop@users.sourceforge.net>
	* scripts/microcode_upload.pl.in,
	  scripts/Makefile.am,
	  scripts/.cvsignore,
	  configure.in:
	Drop microcode_upload.pl; em8300setup can handle the manual
	load case, and the modules nowadays can pull in the microcode
	on demand as well.

2006-07-09  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_alsa.c:
	Improve the ALSA support, by mimicking the functions in
	pcm-indirect.h.

	* modules/em8300_alsa.c:
	Kill the old snd_magic stuff.

2006-05-12  Nicolas Boullis  <nboullis@debian.org>
	* modules/adv717x.c,
	  modules/bt865.c,
	  modules/em8300_main.c,
	  modules/encoder_output_mode.h:
	Convert the module arguments declarations from the old MODULE_PARM
	interface to the (not so) new module_param one. The old interface
	should not be supported anymore with 2.6.17 kernels.

2006-04-24  Ville Skyttä  <scop@users.sourceforge.net>
	* Makefile.am:
	Fix "make install" for firmwareless tarballs.

2006-04-10  Nicolas Boullis  <nboullis@debian.org>
	* configure.in,
	  modules/Makefile:
	New development version.

	* include/linux/em8300.h,
	  modules/EM8300.conf,
	  modules/Makefile,
	  modules/em8300_alsa.c,
	  modules/em8300_alsa.h,
	  modules/em8300_audio.c,
	  modules/em8300_compat24.h,
	  modules/em8300_devfs.c,
	  modules/em8300_devfs.h,
	  modules/em8300_ioctl.c,
	  modules/em8300_ioctl32.c,
	  modules/em8300_ioctl32.h,
	  modules/em8300_main.c,
	  modules/em8300_misc.c,
	  modules/em8300_procfs.c,
	  modules/em8300_procfs.h,
	  modules/em8300_registration.c,
	  modules/em8300_registration.h,
	  modules/em8300_sysfs.c,
	  modules/em8300_sysfs.h,
	  modules/em8300_ucode.c,
	  modules/em8300_udev.c,
	  modules/em8300_udev.h:
	Merge the ALSA branch into MAIN.

2006-04-09  Nicolas Boullis  <nboullis@debian.org>
	* configure.in,
	  modules/Makefile:
	Release 0.15.3.

2006-04-04  Nicolas Boullis  <nboullis@debian.org>
	* modules/adv717x.c,
	  modules/bt865.c,
	  modules/em8300_main.c:
	Add version information to the modules, when possible. Thanks to
	Tommi Lundell who suggested this feature.

	* modules/em8300_ucode.c:
	(Hopefully) Fix automatic firmware loading for "recent" 2.4
	kernels. Thanks to AM and Alonso y Eydis who both reported the
	build failure.

2006-03-28  Nicolas Boullis  <nboullis@debian.org>
	* modules/README-modoptions:
	Document the dsp_num option of the em8300 module. Thanks to
	Brendon Higgins who wrote the description.

2006-01-28  Nicolas Boullis  <nboullis@debian.org>
	* modules/adv717x.c:
	Completely nuke the progressive output modes.

2006-01-26  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_ioctl32.c:
	Fix a very annoying name clash between two
	different em8300_ioctl32_init functions.

	* modules/Makefile,
	  modules/adv717x.c,
	  modules/bt865.c,
	  modules/em8300_i2c.c:
	Make the driver compatible vith the i2c stack in 2.6.16
	kernels. Thanks to Ville Skyttä for doing the hard work.

2006-01-25  Nicolas Boullis  <nboullis@debian.org>
	* include/linux/em8300.h,
	  modules/Makefile,
	  modules/em8300_devfs.c,
	  modules/em8300_main.c,
	  modules/em8300_procfs.c,
	  modules/em8300_registration.c,
	  modules/em8300_registration.h,
	  modules/em8300_sysfs.c,
	  modules/em8300_udev.c,
	  modules/em8300_udev.h:
	Fix support for recent versions of udev by using the good
	functions. Many thanks to all those who helped make this possible
	by reporting the problem, testing my patches and checking my
	code.

	* modules/Makefile,
	  modules/em8300_ioctl32.c,
	  modules/em8300_ioctl32.h,
	  modules/em8300_main.c:
	Fix support for 32-bit ioctls with 64-bit kernels for recent
	kernels (>= 2.6.14), and support 32-bit ioctls for x86_64. Many
	thanks to István Váradi who did all the work.

2006-01-21  Ville Skyttä  <scop@users.sourceforge.net>
	* configure.in:
	Switch to GTK2 for the GUI utilities.

	* m4/gtk.m4:
	Removed.

2005-12-17  Ville Skyttä  <scop@users.sourceforge.net>
	* scripts/*:
	Whitespace cleanup, no functional changes.

2005-12-01  Ville Skyttä  <scop@users.sourceforge.net>
	* Makefile.am:
	Require automake >= 1.8 for $(mkdir_p).

2005-11-23  Nicolas Boullis  <nboullis@debian.org>
	* configure.in,
	  modules/Makefile:
	Release 0.15.2.

2005-11-19  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_i2c.c:
	Lock the encoder's module while it is in use. Many thanks to Jon
	Burgess who did all the work.

2005-11-15  Ville Skyttä  <scop@users.sourceforge.net>
	* dhc/dhc.desktop,
	  overlay/autocal.desktop:
	Remove the (nowadays invalid) "SystemSetup" category.

	* dhc/.cvsignore,
	  dhc/Makefile.am,
	  dhc/dhc.desktop:
	Extract an icon from pixmaps.h for use in the DHC menu entry.

	* modules/README-modoptions,
	  modules/bt865.c:
	Rename the rgb_mode parameter to output_mode for consistency
	with the adv717x driver.

2005-11-06  Ville Skyttä  <scop@users.sourceforge.net>
	* modules/README-modoptions:
	Improve phrasing of output_mode descriptions.

	* dhc/dhc_main.c,
	  overlay/autocal.c,
	  overlay/dxr3view.c,
	  overlay/overlay.c:
	Avoid crashes when the device cannot be opened, improve error
	messages.

2005-11-05  Nicolas Boullis  <nboullis@debian.org>
	* modules/README-modoptions,
	  modules/adv717x.c:
	Make it possible to select the output mode with adv717x
	chips. This adds support for YUV, and for svideo to composite
	video adapters that merely use the luminance signal as composite
	video. Many thanks to Derrik Pates who did most (not to say all)
	the work.

	* Makefile.am:
	Fix the firmware installation command, to make it possible to
	build and install outside the source directory.

2005-11-04  Nicolas Boullis  <nboullis@debian.org>
	* modules/adv717x.c,
	  modules/bt865.c:
	Stop using i2c_is_isa_adapter as it seems to be useless, and is
	not compatible with the i2c stack in 2.6.14 kernels.

	* modules/adv717x.c,
	  modules/bt865.c,
	  modules/em8300_fifo.c,
	  modules/em8300_main.c:
	Stop including the asm/segment.h header file as it seems to bring
	nothing useful, and has disappeared in 2.6.14 kernels.

2005-10-19  Nicolas Boullis  <nboullis@debian.org>
	* Makefile.am,
	  configure.in,
	  em8300setup/em8300setup.1,
	  em8300setup/em8300setup.c,
	  include/linux/em8300.h,
	  modules/em8300_audio.c,
	  modules/em8300_ioctl.c,
	  modules/em8300_main.c,
	  modules/em8300_ucode.c,
	  scripts/.cvsignore,
	  scripts/microcode_upload.pl,
	  scripts/microcode_upload.pl.in:
	Implement automatic on-demand loading of the firmware using the
	hotplug facility (also available in udev). This requires to change
	the default firmware location.

2005-10-19  Ville Skyttä  <scop@users.sourceforge.net>
	* COPYING,
	  dhc/dhc_callback.c,
	  dhc/dhc_gui.c,
	  dhc/dhc_main.c,
	  em8300setup/em8300setup.c,
	  modules/Makefile,
	  modules/adv717x.c,
	  modules/bt865.c,
	  modules/em8300_compat24.h,
	  modules/em8300_devfs.c,
	  modules/em8300_devfs.h,
	  modules/em8300_fifo.c,
	  modules/em8300_ioctl32.c,
	  modules/em8300_ioctl32.h,
	  modules/em8300_main.c,
	  modules/em8300_procfs.c,
	  modules/em8300_procfs.h,
	  modules/em8300_registration.c,
	  modules/em8300_registration.h,
	  modules/em8300_sysfs.c,
	  modules/em8300_sysfs.h,
	  overlay/allblackbut.h,
	  scripts/msexpand.pl:
	Update FSF's address.

2005-09-16  Ville Skyttä  <scop@users.sourceforge.net>
	* modules/em8300_procfs.c:
	Include version of loaded microcode in procfs info.

2005-09-05  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_main.c:
	Properly catch errors in pci_enable_device. Thanks to Jon Burgess
	for spotting the problem and providing a patch.

	* configure.in,
	  modules/Makefile:
	Release 0.15.1.

2005-08-31  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_i2c.c:
	Fix a bug in the setup of the second i2c adapter, spotted by Marco
	Schluessler (LordZodiac). This bug was introduced on March 16 this
	year. Thanks Marco.

2005-08-08  Nicolas Boullis  <nboullis@debian.org>
	* Makefile.am,
	  configure.in,
	  dhc/Makefile.am,
	  em8300setup/Makefile.am,
	  include/linux/Makefile.am,
	  overlay/Makefile.am:
	Autotools cleanup.

	* include/libdxr3,
	  libdxr3:
	Finish to kill libdxr3, as suggested by Ville Skyttä.

	* modules/adv717x_eeprom.c.old:
	Also kill the old modules/adv717x_eeprom.c.old, as suggested
	by Ville Skyttä.

2005-07-23  Nicolas Boullis  <nboullis@debian.org>
	* modules/devfs_symlinks,
	  modules/devices.sh:
	Completely kill the old unnumbered compatibility symlinks,
	following Ville Skyttä's suggestion. Thanks Ville.

	* Makefile.am,
	  configure.in,
	  em8300.spec.in,
	  em8300.sysv.in:
	Kill the old outdated rpm stuff, as suggested by Ville Skyttä.

	* Makefile.am,
	  bootstrap,
	  configure.in,
	  include/Makefile.am,
	  overlay/Makefile.am:
	Kill the libdxr3 library that nobody ever used. Thanks to Ville
	Skyttä for finding a few bits I had missed.

2005-07-13  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300-udev.permissions,
	  modules/em8300-udev.rules:
	Kill the old obsolete em8300-udev.permissions file and put its
	settings into em8300-udev.rules; kill the compatibility symlinks
	as everyone should be using the numbered devices by now.

2005-06-01  Nicolas Boullis  <nboullis@debian.org>
	* configure.in,
	  modules/Makefile:
	Release 0.15.0.

2005-05-23  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_sysfs.c:
	Apply the patch by Ville Skyttä to lower the priority of the
	em8300_class_release messages and to make them slightly more
	informative. Thanks Ville.

	* modules/em8300_compat24.h,
	  modules/em8300_fifo.c,
	  modules/em8300_ioctl.c,
	  modules/em8300_spu.c,
	  modules/em8300_video.c:
	Replace the old deprecated *_sleep_on_* functions with the new
	wait_event_* ones. Many thanks to Jon Burgess who did most (not to
	say all) the work.

2005-05-17  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_main.c:
	Add a new module option to choose the dsp number to use. Thanks to
	Brendon Lloyd Higgins for providing the patch.

	* include/linux/em8300.h,
	  modules/em8300_audio.c,
	  modules/em8300_fifo.c,
	  modules/em8300_ioctl.c,
	  modules/em8300_spu.c,
	  modules/em8300_ucode.c,
	  modules/em8300_video.c:
	Use (or properly and explicitely discard in a few cases) the
	return value of copy_from_user and copy_to_user. Thanks to Ville
	Skyttä for pointing the problem, and for fixing my broken patch.

2005-05-10  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_i2c.c:
	There seem to be eeprom chips connected through i2c; no need to
	warn about them. Thanks to many and especially Marcin DrStorm
	Śliwiński for their help.

	* modules/em8300_sysfs.c:
	Move the sysfs information from class media to class em8300.

	* modules/Makefile:
	Improve the part that extract the kernel version to handle complex
	include/linux/version.h (as seen for example on Fedora) that
	handle several different versions. Thanks to Ville Salmela for
	showing the problem.

	* overlay/overlay.c:
	Fix the order of the arguments to memset. Thanks to Ville Skyttä
	for spotting and fixing this.

	* libdxr3/dxr3-api.c,
	  overlay/autocal.c,
	  overlay/dxr3view.c,
	  overlay/overlay.c:
	Nuke some unused variables. Thanks again to Ville Skyttä for
	these.

2005-04-29  Nicolas Boullis  <nboullis@debian.org>
	* em8300setup/em8300setup.1:
	Fix the em8300setup manpage, as suggested by Ville Skyttä.

	* modules/em8300_main.c,
	  modules/em8300_spu.c,
	  modules/em8300_video.c:
	Initialize the wait queues before the IRQ is requested, as it
	seems to prevent the system from hanging up randomly when the
	em8300 module is loaded for some people. Many thanks to Jon
	Burgess for this patch.

2005-04-09  Nicolas Boullis  <nboullis@debian.org>
	* modules/adv717x.c,
	  modules/bt865.c:
	Since 2.6.12 kernels (well, at the time of this writing, it is not
	released yet, but this is true for -rc2), i2c clients dont have
	id any more. Thanks to Jure Pečar who first pointed this out.

	* Changelog:
	Convert to UTF-8 to spell Jure's name correctly.

	* modules/em8300_audio.c,
	  modules/em8300_ioctl.c,
	  modules/em8300_spu.c:
	Replace all calls to verify_area with calls to access_ok, as
	verify_area is deprecated in 2.6.12-rc2 and supposed to go away
	soon.

	* Makefile.am:
	Clean up EXTRA_DIST.

2005-04-07  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_procfs.c:
	Give more useful information in /proc/em8300/<number> when no
	microcode is loaded. Thanks to Ville Skyttä who did most the
	work.

2005-03-30  Nicolas Boullis  <nboullis@debian.org>
	* .cvsignore:
	Add autom4te.cache to .cvsignore, as suggested by Ville Skyttä.

	* dhc/Makefile.am,
	  dhc/dhc.desktop,
	  overlay/Makefile.am,
	  overlay/autocal.desktop,
	  overlay/dxr3view.desktop:
	Add .desktop files, provided by Ville Skyttä.

	* modules/em8300-udev.permissions,
	  modules/em8300-udev.rules:
	Add udev configuration files, provided by Ville Skyttä. Thanks
	Ville for those contributions.

2005-03-24  Nicolas Boullis  <nboullis@debian.org>
	* modules/Makefile,
	  modules/adv717x.c,
	  modules/bt865.c:
	Support 2.4.x kernels with new external 2.9.x i2c
	modules. Unfortunately, that breaks using 2.4.x kernels with the
	deprecated 2.8.x i2c modules; a new option in the makefile fixes
	this by giving the user the ability to force the i2c API.

	* debian:
	Nuke the debian directory as it was completely outdated, and some
	users found it confusing.

	* em8300setup/Makefile.am,
	  em8300setup/em8300setup.1:
	Add a manpage for em8300setup.

	* Makefile.am,
	  bootstrap:
	Update the autotools.

	* em8300setup/Makefile.am:
	Distribute the new manpage for em8300setup.

2005-03-08  Nicolas Boullis  <nboullis@debian.org>
	* em8300setup/em8300setup.c:
	Improve em8300setup's usage message. Thanks to Ville Skyttä for
	the rephrasing.

	* include/linux/Makefile.am:
	Nuke extraneous creation of the /usr/include/linux
	directory. Thanks to Ville Skyttä.

2005-03-07  Nicolas Boullis  <nboullis@debian.org>
	* modules/adv717x.c,
	  modules/bt865.c:
	Kill the warnings about ISA bus adapters as some people seem to
	consider them offensive or confusing.

	* acconfig.h,
	  configure.in:
	Improve use of AC_DEFINE in configure.in and remove acconfig.h to
	kill a warning when running autoconf. Thanks to Ville Skyttä.

2004-11-14  Nicolas Boullis  <nboullis@debian.org>
	* dhc/Makefile.am,
	  em8300setup/Makefile.am,
	  libdxr3/Makefile.am,
	  libdxr3/libac3/Makefile.am,
	  overlay/Makefile.am:
	Use AM_CFLAGS and AM_LDFLAGS rather than CFLAGS and LDFLAGS to
	avoid automake warnings. Thanks to Ville Skyttä.

	* modules/Makefile:
	Support DESTDIR to install the built modules in a root directory
	different from /, which is especially useful to build
	packages. Thanks to Ville Skyttä.

	* scripts/Makefile.am:
	As Ville Skyttä pointed out, there's no need to install em8300.pm
	with execute permissions. Thanks again to him.

	* scripts/em8300.pm:
	Make em8300.pm a perl package, and improve error message when
	/dev/em8300 cannot be opened. Thanks again to Ville Skyttä.

	* .cvsignore,
	  autotools/.cvsignore,
	  em8300setup/.cvsignore,
	  modules/.cvsignore:
	Add some new files to .cvsignore.

2004-11-10  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_main.c:
	Replace remap_page_range with remap_pfn_range for kernels 2.6.10
	and above, as spotted by Christian Gmeiner. Thanks to him.

	* modules/em8300_main.c:
	Call pci_disable_device when a card is unregistered, as suggested
	by Christian Gmeiner. Thanks again.

2004-10-27  Nicolas Boullis  <nboullis@debian.org>
	* include/linux/em8300.h,
	  modules/em8300_devfs.c,
	  modules/em8300_main.c,
	  modules/em8300_sysfs.c:
	Enable (automatic) dynamic assignment of major number.

2004-09-05  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_audio.c:
	Fix the SNDCTL_DSP_SYNC audio ioctl, as suggested by Aaron
	Kaplan. Many thanks to him.

2004-08-21  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_procfs.c:
	Update procfs to not segfault if no video encoder chip was
	detected and to show the real displaybuffer resolution.

2004-05-02  Nicolas Boullis  <nboullis@debian.org>
	* modules/Makefile,
	  modules/em8300_ioctl.c,
	  modules/em8300_main.c,
	  modules/em8300_registration.c,
	  modules/em8300_registration.h:
	Define a new common interface for all functions that need to be
	called when the module in registered/unregistered, when a card is
	registered/unregistered or enabled/disabled.

	* modules/Makefile,
	  modules/em8300_main.c,
	  modules/em8300_procfs.c,
	  modules/em8300_procfs.h,
	  modules/em8300_registration.c:
	Convert all the procfs stuff to that new interface.

	* modules/Makefile,
	  modules/em8300_devfs.c,
	  modules/em8300_devfs.h,
	  modules/em8300_main.c,
	  modules/em8300_registration.c:
	Also convert all the devfs stuff to that new interface.

	* include/linux/em8300.h,
	  modules/Makefile,
	  modules/em8300_registration.c,
	  modules/em8300_sysfs.c,
	  modules/em8300_sysfs.h:
	Add sysfs support. Many thanks to Eric Donohue who did most the
	work.

	* modules/em8300_devfs.c,
	  modules/em8300_sysfs.c:
	Only create /dev/em8300_{mv,ma,sp}-{0,1,2,3} when the microcode is
	loaded.


2004-04-14  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_compat24.h,
	  modules/em8300_main.c:
	New code for pci probing. Many thanks to Andreas Schultz who did
	most (not to say all) the work.

2004-04-12  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_main.c:
	Check if CONFIG_MTRR is defined before #including asm/mtrr.h as it
	does exist only on i386 and x86_64. (Reverted from previous change.)

2004-03-26  Nicolas Boullis  <nboullis@debian.org>
	* modules/adv717x.c,
	  modules/adv717x.h,
	  modules/bt865.c,
	  modules/bt865.h,
	  modules/em8300_compat24.h,
	  modules/em8300_i2c.c,
	  modules/em8300_main.c:
	Add a new modules/em8300_compat24.h file, and put there everything
	that is needed for compatibility between 2.4 and 2.6 kernels. Many
	thanks to Andreas Schultz for the idea and for doing most (not to
	say all) the work.

2004-03-25  Nicolas Boullis  <nboullis@debian.org>
	* modules/ldm:
	I stupidly reversed the test in my previous update of modules/ldm;
	repair this. Sorry for this stupid mistake.

2004-03-24  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_main.c:
	Since kernel 2.5.69, one should use devfs_remove instead of
	devfs_unregister; and since 2.5.70, devfs_mk_cdev instead of
	devfs_register. Thanks to Peter Zijlstra for his patch (forwarded
	by Håkon Skjelten).

	* modules/ldm:
	Update ldm to support .ko modules (since kernel 2.5.51), thanks to
	Håkon Skjelten.

	* modules/Makefile:
	Rewrite modules/Makefile mostly from scratch to support both 2.4
	and 2.6 kernels in a much simpler way.

	* modules/em8300_main.c:
	Call em8300_spu_release when em8300_io_release is called for an
	em8300_sp device. Thanks to Håkon Skjelten for this change.

2004-03-23  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_main.c:
	Since before kernel 2.4.0, the file_operations structure has an
	owner field. Thanks to Håkon Skjelten for pointing this.

	* modules/adv717x.c,
	  modules/bt865.c:
	There's no need to include linux/wrapper.h in modules/adv717x.c or
	modules/bt865.c.

	* modules/em8300_main.c:
	Since kernel 2.5.12, mem_map_reserve and mem_map_unreserve from
	linux/wrapper.h are replaced by SetPageReserved and
	ClearPageReserved. Thanks to Håkon Skjelten for pointing this.

	* modules/em8300_main.c:
	Between kernel 2.5.2 and 2.6.0-test4 (inclusive), one must use
	minor(inode->i_rdev) rather than MINOR(inode->i_rdev). Thanks
	again to Håkon Skjelten.

2004-03-16  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_fifo.c,
	  modules/em8300_ioctl.c,
	  modules/em8300_spu.c,
	  modules/em8300_video.c:
	The variable jiffies has type unsigned long, not unsigned int;
	thanks to Håkon Skjelten for pointing this.

	* modules/adv717x.c,
	  modules/bt865.c:
	Erase (set to zero) the memory freshly allocated with
	kmalloc for an i2c_client structure. Thanks again to Håkon
	Skjelten.

	* modules/adv717x.c,
	  modules/bt865.c,
	  modules/em8300_i2c.c:
	Since kernel 2.5.67, the i2c_client and i2c_adapter structs have
	no data field; once more, thanks to Håkon Skjelten for his patch.

	* modules/adv717x.c,
	  modules/bt865.c,
	  modules/em8300_main.c:
	Since kernel 2.5.18, no symbol is exported by default, so
	EXPORT_NO_SYMBOLS is useless. Thanks again to Håkon Skjelten for
	pointing this.

	* modules/adv717x.c,
	  modules/bt865.c,
	  modules/em8300_main.c:
	Since kernel 2.5.48, MOD_INC_USE_COUNT and MOD_DEC_USE_COUNT are
	deprecated. Thanks again to Håkon Skjelten.

	* modules/em8300_main.c:
	Since kernel 2.5.48, request_irq is in linux/interrupt.h . Thanks
	again to Håkon Skjelten.

	* modules/em8300_main.c:
	Since kernel 2.5.69, the handler provided to request_irq
	(em8300_irq) must return an irqreturn_t value. Thanks again to
	Håkon Skjelten.

	* modules/em8300_main.c:
	Since kernel 2.5.3, the interface of the remap_page_range function
	changed. Thanks again to Håkon Skjelten.

2004-03-14  Nicolas Boullis  <nboullis@debian.org>
	* modules/Makefile:
	When building modules, if $(I2C_LOCATION) is set, ensure that 
	the i2c headers from $(I2C_LOCATION) are prioritized over those 
	from the kernel source, thanks to Janne Kujanpää for pointing 
	the problem.

	* modules/Makefile,
	  modules/em8300_fifo.c,
	  modules/em8300_fifo.h,
	  modules/em8300_main.c,
	  modules/em8300_spu.c,
	  modules/em8300_video.c:
	Drop support for older than 2.4.0 kernels.

2004-02-26  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_fifo.c,
	  modules/em8300_fifo.h:
	Do locking with proper mutexes (implemented with semaphores) 
	rather than misusing spinlocks. Thanks to Håkon Skjelten and 
	Rune for pointing the misuse while working on a patch to support 
	2.6 kernels.

2004-02-17  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_fifo.c,
	  modules/em8300_fifo.h:
	Use pci_alloc_consistent to allocate a DMA-able buffer rather 
	than kmalloc + virt_to_bus, as virt_to_bus is not supported on 
	sparc.

	* modules/Makefile:
	Add support for sparc64 systems.

	* modules/Makefile,
	  modules/em8300_ioctl32.c,
	  modules/em8300_ioctl32.h,
	  modules/em8300_main.c:
	Add support for 32-bit ioctls on 64-bit systems with a 32-bit 
	userspace.

	* modules/Makefile:
	Fix support for building with i2c modules out of the kernel.

	* ChangeLog:
	Update the ChangeLog.

2004-02-09  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_main.c:
	Check for O_NONBLOCK whenever a write is attempted, ans it may 
	be changed after opening with fcntl. Thanks to Michael Roitzsch 
	for this patch.

	* modules/em8300_fifo.c:
	Try to properly detect when the DMA engine is frozen. Many 
	thanks to Michael Roitzsch for his initial patch and for testing 
	this one.

	* modules/em8300_misc.c:
	Give the CPU back to other processes when waiting for a 
	condition on the register of the em8300 chip.

2004-02-08  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_audio.c:
	Fix em8300 audio for big-endian systems, and for big-endian 
	audio data on little-endian systems.

	* modules/Makefile: Add support for PowerPC.

2003-12-08  Nicolas Boullis  <nboullis@debian.org>
	* modules/em8300_fifo.c,
	  ChangeLog:
	Fix a bug (introduced by myself in the patch for alpha support)
	that caused sound to to skip. Thanks to arj (sorry, I don't know
	your real name) for spotting this bug. Also change my own e-mail
	in this ChangeLog and in the AUTHORS file.

2003-12-06  Nicolas Boullis  <nboullis@debian.org>
	* scripts/microcode_extract.pl:
	Fix a tiny bug in scripts/microcode_extract.pl that caused the
	third option (NAMEBASE) not to work.

2003-12-05  David Holm  <dholm@gentoo.org>
	* include/linux/em8300.h,
	  modules/Makefile,
	  modules/adv717x.c,
	  modules/bt865.c,
	  modules/em8300_audio.c,
	  modules/em8300_dicom.c,
	  modules/em8300_fifo.c,
	  modules/em8300_fifo.h,
	  modules/em8300_i2c.c,
	  modules/em8300_ioctl.c,
	  modules/em8300_main.c,
	  modules/em8300_misc.c,
	  modules/em8300_reg.h,
	  modules/em8300_spu.c,
	  modules/em8300_ucode.c,
	  modules/em8300_video.c:
	Applied patch from Nicolas Boullis <nboullis@debian.org> which
	effectively adds Alpha support and a patch from the same guy which
	makes it possible to set different module options for multiple cards.

2003-11-22  David Holm  <dholm@gentoo.org>
	* modules/em8300_main.c,
	  modules/em8300_video.c:
	Applied patch from Anders Rune Jensen <anders©gnulinux·dk> which
	fixes the O_NONBLOCK bug.

2002-01-08  Rick Haines  <rick@kuroyi.net>

        * modules/adv717x.c:
        Apply a patch from Dofri Jonsson <imp at hell dot is>.
        We were using the wrong index when applying
        pixelport_adjust_pal on the ADV7170

2003-11-22  David Holm  <dholm@gentoo.org>
	* modules/adv717x.c,
	  modules/bt865.c,
	  modules/em8300_audio.c,
	  modules/em8300_dicom.c,
	  modules/em8300_fifo.c,
	  modules/em8300_fifo.h,
	  modules/em8300_i2c.c,
	  modules/em8300_ioctl.c,
	  modules/em8300_main.c,
	  modules/em8300_misc.c,
	  modules/em8300_spu.c,
	  modules/em8300_ucode.c,
	  modules/em8300_video.c,
	  modules/em9010.c:
	Added a patch from Nicolas Boullis <nboullis@debian.org> which
	seamlessly integrates i2c-2.8 support.

2003-08-10  David Holm  <david@realityrift.com>
	* modules/em8300_audio.c,
	  modules/em8300_fifo.c,
	  modules/em8300_fifo.h,
	  modules/em8300_ioctl.c,
	  modules/em8300_main.c,
	  modules/em8300_spu.c,
	  modules/em8300_video.c:
	Added a patch from Jon Burgess <mplayer at jburgess dot uklinux dot
	net> that partly fixes the SPU lockup problems.

2003-07-28  David Holm  <david@realityrift.com>
	* configure.in:
	Fixed version. Spotted by Volker Moell.

2003-07-25  David Holm  <david@realityrift.com>
	* modules/adv717x.c,
	  modules/bt865.c,
	  modules/em8300-i2c-2.8.0.patch,
	  modules/em8300_audio.c,
	  modules/em8300_dicom.c,
	  modules/em8300_fifo.c,
	  modules/em8300_i2c.c,
	  modules/em8300_ioctl.c,
	  modules/em8300_main.c,
	  modules/em8300_misc.c,
	  modules/em8300_spu.c,
	  modules/em8300_ucode.c,
	  modules/em8300_video.c,
	  modules/em9010.c:
	Reversed the patch from SuSE and added it as a patch. They forgot to
	tell me it only works if your kernel is patched with i2c 2.8.0.

2003-07-17  David Holm  <david@realityrift.com>
	* modules/adv717x.c,
	  modules/bt865.c,
	  modules/em8300_audio.c,
	  modules/em8300_dicom.c,
	  modules/em8300_fifo.c,
	  modules/em8300_i2c.c,
	  modules/em8300_ioctl.c,
	  modules/em8300_main.c,
	  modules/em8300_misc.c,
	  modules/em8300_spu.c,
	  modules/em8300_ucode.c,
	  modules/em8300_video.c,
	  modules/em9010.c:
	Applied patch from SuSE which fixes compatibility issues with i2c
	2.8.0.

2003-06-14  David Holm  <david@realityrift.com>
	* modules/em8300_fifo.c,
	  modules/em8300_spu.c,
	  modules/em8300_ioctl.c,
	  modules/em8300_video.c:
	Added patch from Stefan Schluenss <stefan dot schluenss at gmx dot de>
	to prevent the driver from blocking on some calls.

2003-01-09  David Holm  <david@realityrift.com>
	* bootstrap:
	Tried to hack around broken (?) autoconf.

2003-01-08  David Holm  <david@realityrift.com>
	* modules/README-modoptions,
	  modules/bt865.c,
	  modules/adv717x.c,
	  modules/em8300_main.c:
	Added patch from Luis.F.Correia" <Luis.F.Correia@seg-social.pt> which adds
	support for RGB-mode with bt865.
	Added patch from Soeren Sonnenburg <dxr3@nn7.de> which fixes problems with
	swap_redblue in the adv717x.
	Added patch from Michael Roitzsch <mroi@users.sourceforge.net> which fixes
	problem with SPU device hanging the em8300.

2002-11-29  David Holm  <david@realityrift.com>
	* modules/em8300_audio.c:
	Changed two pr_infos to pr_debugs.

2002-11-21  David Holm  <david@realityrift.com>
	* include/linux/em8300.h,
	  modules/em8300_main.c:
	mmap() updates from MiHu.

2002-11-17  David Holm  <david@realityrift.com>
	* modules/em8300_ioctl.c,
	  modules/em8300_main.c,
	  modules/em8300_video.c,
	  include/linux/em8300.h:
	Added patch from MiHu to add support for getting time of next
	VBI.

2002-10-26  David Holm  <david@realityrift.com>
        * modules/Makefile,
	  modules/em8300_audio.c,
	  modules/em8300_main.c,
	  modules/adv717x.c,
	  em8300setup/em8300setup.c,
	  em8300setup/Makefile.am,
	  configure.in
	  Makefile.am:
	Fixed kernel 2.5 support.
	You can now set the default module configs in the Makefile. (The
	real reason for this is to add config support to the kernel patch).
	Lots of fixes to make it more kernel friendly.
	Added Malcolm Lashley's em8300setup util and deprecated em8300init
	as it doesn't work with perl 5.8. em8300setup has many more features
	anyway.

2002-10-20  David Holm  <david@realityrift.com>
	* modules/em8300_ioctl.c:
	Fixed a bug that would cause a kernel oops if you tried
	to change the em8300 settings without the microcode
	loaded.

2002-05-03  David Holm  <dholm@telia.com>
	* modules/em8300_audio.c:
	Hopefully fixed a bug which would leave data in the audio
	buffer when you closed it.

2002-04-12  David Holm	<dholm@iname.com>
	* modules/em8300_spu.c,
	  modules/em8300_main.c:
	Multiple card support fixed by Carl George
	Added spu_release
	Some cosmetic changes (K&R)

2002-02-25  David Holm  <dholm@iname.com>
	* modules/em8300_main.c:
	2.2 kernel fix (argh, ppl stop using this kernel ;)

2002-02-23  Jonas Birme  <jonas@birme.se>
	* modules/Makefile:
	Removed the installation of em8300.h in install-newkern.
	It's included when installing em8300 (not the modules).

2002-02-19  David Holm  <dholm@iname.com>
	* dhc/dhc_main.c,
	  overlay/autocal.c,
	  overlay/dxr3view.c,
	  modules/em8300_main.c:
	Fixed compilation on 2.5 kernels
	Fixed bugs with old naming scheme

2002-02-15  David Holm  <dholm@iname.com>
	* modules/em8300_main.c:
	Changed behaviour of procfs entry. It now shows up as
	/proc/em8300/<devicenum> instead of /proc/em8300/em8300-<devnum>
	I hate repeating myself ;)

2002-02-13  Jonas Birme  <jonas@birme.se>
   * scripts/microcode_upload.pl
	Fixed the ugly hardcoded path in the script.
	It's now optional to specify microcode, defaults to
	/usr/share/misc/em8300.uc

2002-02-11  Jonas Birme  <jonas@birme.se>
   * modules/Makefile
   Fixed the install-newkern so it uses $(prefix) for all files.

2002-02-09  David Holm  <dholm@iname.com>
	* include/linux/em8300.h,
	  modules/em8300_audio.c,
	  modules/em8300_video.c,
	  modules/em8300_spu.c:
	Fixed video and spu flushing
	Added patch from Michael Roitzsch to fix playback of mono audio
	on digital output. Some day we can debate if this should be done
	in the driver or by software, for now lets just accept he made a
	fix and that we should be happy ppl help out.

2002-02-08  David Holm  <dholm@iname.com>
	* modules/em8300_main.c:
	Fixed yet another issue with 2.2 kernels

2002-02-02  David Holm  <dholm@iname.com>
	* modules/em8300_main.c:
	Added poll/select
	Added dsp_poll, this will increase performance and usability in applications
	where low latency is very important. XMMS also makes good use of this feature

2002-01-26  David Holm  <dholm@iname.com>
	* modules/em8300_audio.c:
	Fixed a bug in SNDCTL_DSP_RESET which would cause apps to hang

2002-01-21  David Holm  <dholm@iname.com>
	* modules/em8300_audio.c:
	Applied patch from Steven Brookes which fixes a bug when setting up digital ac3 via oss

2002-01-20  David Holm  <dholm@iname.com>
	* configure.in,
	  Makefile.am,
	  modules/adv717x_eeprom.c,
	  modules/em8300_main.c,
	  modules/Makefile:
	Removed, all affected files have been updated (including files in debian subdir)
	Changed so that uninplemented SNDCTL calls return -ENOSYS (uninplemented) instead of -EINVAL (invalid argument)
	Fix case when users compile with devfs support but don't mount it at boot
	update version, add acconfig.h to EXTRA_DIST

2002-01-19  David Holm  <dholm@iname.com>
	* modules/em8300_video.c:
	Fixed flushing
	It now checks the kernel for CONFIG_SOUND instead of specifying it with -D

2002-01-17  David Holm  <dholm@iname.com>
	* modules/em8300_audio.c:
	Added mute patch from Steven Brookes
	Fixed DSP_AUDIO_RESET
	Added em8300_video_flush
	Added EM8300_IOCTL_FLUSH

2002-01-16  David Holm  <dholm@iname.com>
	* modules/em8300_fifo.c:
	Enter spinlock on writes
	Changed REGISTER_DSP to CONFIG_SOUND_OSS
	Added MVCOMMAND_SYNC

2002-01-16  Jonas Birme  <jonas@birme.se>
   * scripts/microcode_extract.pl:
   Added a destdir to the script, so the microcode can be stored in
   another dir than the current.

2002-01-15  David Holm  <dholm@iname.com>
	* scripts/microcode_upload.pl:
	Made the perl script more devfs friendly (it's overambigous since I don't know much perl, but it does the job on both devfs and non-devfs systems ;)

2002-01-14  David Holm  <dholm@iname.com>
	* include/linux/em8300.h,
	  modules/adv717x.c,
	  modules/bt865.c,
	  modules/em8300_ioctl.c:
	Reverted to old way of handling encoder modes (one def in em8300.h and another in encoder.h)

2002-01-13 (post 0.10.1)  David Holm  <dholm@iname.com>
	* include/linux/em8300.h,
	  modules/adv717x.c,
	  modules/bt865.c,
	  modules/em8300_ioctl.c,
	  modules/em8300_main.c:
	Fixed em8300.h having 3 signalling modes and encoder.h having 7. All 7 are now defined
	in em8300.h only.
	Fixed devfs bug which would cause the driver not to find an em8300 if you unload the
	module after loading a microcode and then trying to load it again.

2002-01-13  David Holm  <dholm@iname.com>
	* include/linux/em8300.h,
	  modules/em8300_main.c,
	  modules/em8300_video.c,
	  modules/em8300_audio.c,
	  modules/em8300_spu.c,
	  modules/em8300_ioctl.c,
	  modules/adv717x.c,
	  modules/bt865.c,
	  modules/adv717x_eeprom.c,
	  modules/encoder.h:
	It is now possible to open the devices in nonblocking mode
	Fixed warnings
	Fixed harmless but annoying bug in adv717x_command (returning -EINVAL on error)
	Added missing #include <linux/init.h> to bt865.c and adv717x.c
	gcc 3 fixes

2002-01-12  David Holm  <dholm@iname.com>
	* include/linux/em8300.h,
	  libdxr3/dxr3-api.c,
	  modules/adv717x.c,
	  modules/bt865.c,
	  modules/em8300_audio.c,
	  modules/em8300_ioctl.c,
	  modules/em8300_main.c,
	  modules/encoder.h:
	Added all supported encoder modes to em8300
	Added MODULE_PARM_DESC
	Added MODULE_SUPPORTED_DEVICE
	Removed audio pts code
	Fixed devfs bug
	K&R fixes in em8300_audio.c

2002-01-11  Jonas Birme <jonas@birme.se>
	* modules/Makefile:
	Fixed a bug in install-newkern, and added $(prefix) to 
	that rule also. Changed KERNEL_LOCATION= to KERNEL_LOCATION?=

2002-01-10  David Holm  <dholm@iname.com>
	* modules/Makefile,
	  modules/README-2.4:
	Removed nonworking devfs installation script and added
	a devfs install guide in the readme instead...

2002-01-10  David Holm  <dholm@iname.com>
	* modules/Makefile:
	It now automatically installs/removes the appropriate
	entries in devfsd.conf

2002-01-09  David Holm  <dholm@iname.com>
	* em8300_main.c:
	Fixed a bug I accidentally introduced with devfs

2002-01-08  Rick Haines  <rick@kuroyi.net>

	* scripts/microcode_upload.pl:
	display error message if it can't open
	the first device

	* dhc/dhc_main.c,
	  libdxr3/dxr3-api.c,
	  modules/rmm,
	  overlay/allblackbut.c,
	  overlay/autocal.c,
	  overlay/dxr3view.c,
	  overlay/overlay.c:
	minor cleanups from James
	(exit -> _exit, some missing returns, 
	include string.h in a few files,
	don't remove i2c* in rmm).

2002-01-08  Rick Haines  <rick@kuroyi.net>

	* AUTHORS,
	  modules/em8300_main.c:
	minor devfs/procfs #ifdef cleanups from Graeme.

2002-01-07  David Holm  <dholm@iname.com>

	* modules/Makefile:
	added uninstall feature
	
	* modules/devfs_symlinks,
	  modules/em8300_main.c:
	quick fix to devfs to make it work on mandrake

2002-01-02  Rick Haines  <rick@kuroyi.net>

	* configure.in,
	  modules/Makefile:
	update version

2001-12-29  Rick Haines  <rick@kuroyi.net>

	* modules/Makefile,
	  modules/em8300_main.c:
	procfs information updates from David

2001-12-29  Rick Haines  <rick@kuroyi.net>

	* modules/em8300.sysv.in:
	fix eeprom module name
        (from Sergei 'Jin' Bostandjan)

2001-12-28  David Holm  <dholm@iname.com>

	* include/linux/em8300.h,
	  modules/em8300_ioctl.h:
	Added the following ioctls
	  GET_VIDEOMODE
	  GET_PLAYMODE
	  GET_SPUMODE
	Fixed typos
	  
	* modules/Makefile:
	gcc sanity check
	More intuitive install method by
	Graeme Gregory <daemonprince@lordpain.uklinux.net>
	
	* modules/README-2.4:
	Removed old install info and added part about
	devfs support
	
	* modules/adv717x.c:
	Fixed typo
	
	* modules/devfs_symlinks:
	Example /etc/devfs/compat_symlinks for compatibility
	
	* modules/em8300_audio.c,
	  modules/em8300_fifo.c,
	  modules/em8300_fifo.h:
	Lots of bugfixes including broken digital audio
	output by Steven Brookes <stevenjb@mda.co.uk>
	
	* modules/em8300_main.c:
	Added devfs fs support
	Added proc fs support
	Fixed multiple card support
	(I hope, I'm unable to test it)

2001-12-18  Rick Haines  <rick@kuroyi.net>

	Apply the following from Larice Robert.
	
	* modules/em8300_fifo.c:
	change 4 to fifo->slotptrsize
	reorder some lines to fix possible problem
	
	* modules/em8300_video.c:
	change 'read_register(ptsfifoptr+1) & 1' to
	'read_register(ptsfifoptr+3) & 1'

	* modules/em8300_video.c:
	correctly update em->video_offset

2001-12-18  Rick Haines  <rick@kuroyi.net>

	* modules/adv717x.c:
	ADV7170 PAL mode register mods from Vidar Hoel

	* modules/em8300_dicom.c:
	NTSC mode tweaks from Serguei Miridonov

	* AUTHORS:
	update Chris Hoovers email address

2001-11-29  Jonas Birme  <jonas@birme.se>

 	* modules/em8300_audio.c	
	a bugfix submitted by David Holm. DSP_RESET fixed 
	in em8300_audio

2001-11-25  Rick Haines  <rick@kuroyi.net>

	* modules/eeprom.c,
	  modules/adv717x_eeprom.c,
	  modules/Makefile*,
	  modules/README-modules.conf,
	  modules/ldm,
	  modules/rmm:
	rename eeprom per request from J G Miller
        (conflicts with lm-sensors)

	* modules/adv717x.c:
	make swap_redblue_pal apply to NTSC

2001-11-05  David Holm   <dholm@iname.com>

        * include/libdxr3/api.h,
          libdxr3/dxr3-api.c,
          modules/em8300_audio.c,
          modules/em8300_main.c:
        added some missing ioctl to em8300_audio.c
	fixed bug in em8300_main.c causing the mtrr 
	to be removed twice
	changes made to the api!

2001-11-04  Rick Haines  <rick@kuroyi.net>

	* acconfig.h,
	  configure.in:
	instead of stopping if GTK not found,
	just don't build dhc and dxr3view.

2001-11-04  Rick Haines  <rick@kuroyi.net>

	* include/libdxr3/api.h,
	  libdxr3/dxr3-api.c:
	patch from David to rename
	dxr3_audio_get_bytesleft() to
	dxr3_audio_get_bytesinbuffer()

	* include/linux/mtrr.h,
	  modules/em8300_main.c:
	patch from David to add mtrr support
	(maybe speedup the fifo operations)

2001-11-03  Rick Haines  <rick@kuroyi.net>

	* include/libdxr3/api.h,
	  libdxr3/dxr3-api.c:
	patch from David Holm to add
	dxr3_audio_get_buffersize() and
	dxr3_audio_get_bytesleft()

2001-10-27  Rick Haines  <rick@kuroyi.net>

	* modules/Makefile,
	  modules/*.c:
	module license and malloc.h/slab.h changes
	from Szabo Akos

2001-09-30  Rick Haines  <rick@kuroyi.net>

	* em8300.spec.in,
	  configure.in,
	  Makefile.am:
	updates from Andrew

	* modules/em8300_audio.c:
	set correct speed for AC3 output

	* include/linux/em8300.h:
	swap EM8300_AUDIOMODE_DIGITALPCM and
	EM8300_AUDIOMODE_DIGITALAC3 so that
	dhc switches between analog and digitalpcm.
	This is the logical order anyway.

2001-09-19  Rick Haines  <rick@kuroyi.net>

	* modules/em8300_audio.c:
	define AFMT_AC3 if it's not already

2001-09-10  Rick Haines  <rick@kuroyi.net>

	* modules/em8300_audio.c,
	  include/linux/em8300.h:
	maybe fix digital output modes

2001-09-10  Rick Haines  <rick@kuroyi.net>

	* debian/changelog,
	  debian/rules,
	  debian/setvers.sh:
	Uses $(KVERS) instead of ugly uname -r

2001-09-05  Rick Haines  <rick@kuroyi.net>

	* modules/em9010.c:
	Another autocal fix from Daniel.
	"The content of the overlay register 0x0d
	is no more set to 0x44 but its content is set
	by the cable detection routine (that was already
	existing). The resulting can be 0x44 OR 0x4C."

2001-09-03  Jonas Birme  <jonas@birme.se>
	
	* debian/chagelog,
	  debian/copyright,
	  debian/rules,
	  debian/setvers.sh:
        converted to use debhelper as much as possible

2001-09-02  Rick Haines  <rick@kuroyi.net>

	* debian/*
	big updates from Jonas and Graeme
	
	* modules/Makefile:
	new Makefile from Jonas/Graeme to
	work with both 2.2 and 2.4 kernels

2001-09-02  Rick Haines  <rick@kuroyi.net>

	* include/linux/em8300.h,
	  modules/em8300_audio.c,
	  modules/em8300_dicom.c,
	  modules/em8300_ioctl.c,
	  modules/em8300_main.c:
	Patch from Daniel to fix the clockgen setting for
	another kind of board.

	* .cvsingore,
	  autotools/.cvsignore,
	  dhc/.cvsignore,
	  include/.cvsignore,
	  include/libdxr3/.cvsignore,
	  include/linux/.cvsignore,
	  libdxr3/.cvsignore,
	  libdxr3/libac3/.cvsignore,
	  overlay/.cvsignore,
	  scripts/.cvsignore:
	Patch to add .cvsingore files from Michael Moerz

2001-08-19  Rick Haines  <rick@kuroyi.net>

	* configure.in:
	update version

2001-08-18  Rick Haines  <rick@kuroyi.net>

	* modules/em8300_ioctl.c (em8300_ioctl_setvideomode):
	reenable tv mode code no longer necessary here

2001-08-17  Rick Haines  <rick@kuroyi.net>

	* modules/em8300_ioctl.c,
	  modules/em9010.c,
	  overlay/allblackbut.c,
	  overlay/dxr3view.c,
	  overlay/overlay.c:
	Daniel fixes autocal again

	* modules/em8300_ioctl.c,
	  modules/em8300_main.c,
	  modules/ldm:
	remove overlay_tv_switching option

2001-08-13  Rick Haines  <rick@kuroyi.net>

	* modules/em8300_spu.c,
	  include/linux/em8300.h:
	Eduard added EM8300_IOCTL_SET_BUTTON ioctl for
	menu support

2001-08-13  Rick Haines  <rick@kuroyi.net>

	* debian/*:
	  updates

2001-08-09  Rick Haines  <rick@kuroyi.net>

	* modules/em8300_dicom.c,
	  modules/em8300_ioctl.c,
	  modules/em8300_misc.c,
	  modules/em8300_video.c,
	  modules/em9010.c,
	  overlay/overlay.c,
	  overlay/overlay.h:
	Patch from Daniel Chassot
	"The folowing patch fixes the autocalibration process,
	updates em8300_DICOM_setBCS, add overlay_set_bcs to
	overlay.c and enhance em8300_ioctl_overlay_setwindow."
	You rock dude.

	* configure.in:
	update version

2001-08-08  Rick Haines  <rick@kuroyi.net>

	* debian/changelog,
	  debian/rules,
	  modules/Makefile,
	  modules/Makefile.2.2:
	more updates from Jonas

	* modules/Makefile.2.4:
	update

2001-08-08  Rick Haines  <rick@kuroyi.net>

	* debian/*:
	Debian packaging stuff from Jonas Birme

	* modules/em8300_main.c:
	Patch from Eduard to change var_video_value
	to 3375.  This looks dependent on card version
	which is probably why I didn't see a difference.
	
	* em8300.sysv.in:
	Patch from Jeffrey Ingber to make the rpm boot
	script upload the microcode

	* modules/Makefile:
	Patch from Jeffrey Ingber to use
	include/linux/autoconf.h instead of
	include/config/modversions.h.

2001-08-05  Rick Haines  <rick@kuroyi.net>

	* modules/README-2.4,
	  modules/README-2.2:
	update

2001-08-05  Rick Haines  <rick@kuroyi.net>

	* modules/Makefile,
	  modules/Makefile.2.2,
	  modules/em8300_main.c:
	Makefile magic from Graeme to detect whether
	sound and i2c bitbanging are configured

2001-08-04  Rick Haines  <rick@kuroyi.net>

	* include/linux/em8300.h,
	  modules/em8300_audio.c:
	move static vars to struct em8300_s

	* modules/em8300_main.c,
	  modules/em8300_ioctl.c:
	add overlay_tv_switching module option

	* modules/README-greeenscreen,
	  modules/README-modoptions:
	renamed
	
	* xine/README,
	  xine/dxr3_decoder.c,
	  xine/video_out_dxr3.c,
	  xine/Makefile:
	plugin removed until necessary

2001-08-03  Rick Haines  <rick@kuroyi.net>

	* modules/em8300_main.c,
	  modules/Makefile,
	  modules/README-2.4:
	Add REGISTER_DSP to enable registering /dev/dsp

	* include/linux/em8300.h,
	  modules/em8300_ioctl.c:
	Eduard added EM8300_IOCTL_SCR_GET/SET and
	EM8300_IOCTL_SCR_GETSPEED/SETSPEED

2001-08-02  Rick Haines  <rick@kuroyi.net>

	* modules/em8300_audio.c:
	Fix SNDCTL_DSP_GETOPTR and SNDCTL_DSP_GETODELAY
	ioctl's so they work with mono audio

2001-08-01  Rick Haines  <rick@kuroyi.net>

	* modules/em8300_ioctl.c:
	revert overlay to tv mode switching patch
	since it squishes the overlay mode for me
	
	* overlay/configs/*,
	  overlay/Makefile.am:
	add sample autocal config files

2001-08-01  Rick Haines  <rick@kuroyi.net>

	* modules/em8300_audio.c:
	only use AFMT_AC3 if it's defined

2001-07-29  Rick Haines  <rick@kuroyi.net>

	* modules/em8300_audio.c:
	reset mafifo->bytes when the device is opened

2001-07-29  Rick Haines  <rick@kuroyi.net>

	* modules/em8300_ioctl.c:
	Patch from Mike Lampard to fix overlay to
	tv mode switching

2001-07-28  Rick Haines  <rick@kuroyi.net>

	* include/linux/em8300.h,
	  modules/em8300_ioctl.c,
	  modules/em8300_audio.c:
	add more CLOCKGEN defines

2001-07-27  Rick Haines  <rick@kuroyi.net>

	* modules/bt865.c,
	  modules/em8300_dicom.c:
	more bt865 ntsc updates from Chris

2001-07-24  Rick Haines  <rick@kuroyi.net>

	* modules/em8300_main.c,
	  include/linux/em8300.h:
	add register_dsp code to use /dev/dsp*

	* modules/em8300_audio.c:
	add AFMT_AC3. Someone with an AC3 decoder will have
	to verify

	* modules/Makefile:
	now installs em8300.h

2001-07-20  Rick Haines  <rick@kuroyi.net>

	* modules/em8300_video.c:
	From Daniel Chassot "Adds the dicom kmin computation"

2001-07-20  Rick Haines  <rick@kuroyi.net>

	* xine/video_out_dxr3.c,
	  xine/README:
	Eduard fixed the priority, added tvmode option, and
	updated the README

2001-07-19  Rick Haines  <rick@kuroyi.net>

	* xine/*:
	Update from Eduard "This version has the possibility of
	setting the bcs values and the aspectratio. Priorities
	are also working now. If the plugin detects the dxr3
	devices, it activates itself and is taken from XINE due
	to a higher priority."

2001-07-19  Rick Haines  <rick@kuroyi.net>

	* modules/Makefile:
	Patch from Graeme to change include path order to find
	local em8300.h first
	
	* modules/em8300_audio.c:
	Patch from Daniel Chassot "swaps the left and the right
	channel on the dxr3 analog output."

	* modules/em9010.c,
	  modules/em8300_ioctl.c,
	  include/linux/em8300.h:
	Patch from Daniel Chassot "implements the jitter and the
	stability control that are available on the dxr3view window.
	It also clips the visible area of the DICOM to the visible
	area of the screen when in overlay mode."

	* overlay/dxr3view.c:
	Patch from Daniel Chassot "keeps the actual window size when
	you move the viewing window around the screen."

	* modules/em8300_audio.c,
	  modules/em8300_fifo.c,
	  include/linux/em8300.h:
	Add OSS ioctl's.  Still needs AFMT_AC3 support.
	Audio sync is only activated when the SETPTS ioctl is called.
	
	* modules/em8300_video.c:
	Eduard fixed a bug in my ioctl modifications

	* modules/em8300_dicom.c:
	Patch from Chris to use the old SYNC values in pal mode
	to prevent us breaking it (with slight modifications).
	sub_40137 wasn't updating Luma/Chroma with bt865 encoders.
	
	* xine/xine-lib.diff:
	Removed due to merge in Xine cvs.
	
	* AUTHORS:
	Graeme wants email about bugs in his Makefile

2001-07-17  Rick Haines  <rick@kuroyi.net>

	* modules/em8300_dicom.c:
	updated sync values from John Stebbins

	* modules/em8300_video.c,
	  include/linux/em8300.h:
	Add SCR GET/SET ioctl's partly from Eduard Hasenleithner

	* xine/*
	remove old patches and add 0.5 plugin from Eduard Hasenleithner

	* AUTHORS
	Thanks guys
	
2001-07-16  Rick Haines  <rick@kuroyi.net>

	* modules/em8300_dicom.c:
	Patch from Eduard Hasenleithner to fix pal mode

	* configure.in:
	Move AC_PROG_CC to placate new autoconf
	
2001-07-15  Rick Haines  <rick@kuroyi.net>

	* modules/em8300_audio.c:
	Patch from Daniel Chassot to fix 1/2 sec sync problem
	
	* modules/em8300_dicom.c:
	Patch from John Stebbins to fix NTSC sync problems
	and shift it up a bit.

	* modules/em8300_video.c (em8300_video_sync):
	Patch from Eduard Hasenleithner to make em8300_video_sync()
	timeout if it takes too long.

	* modules/README-2.4,
	  modules/README-2.2,
	  modules/make-modules-2.4,
	  modules/make-install-2.4,
	  modules/make-clean:
	Remove old 2.4 Makefile stuff
	
2001-06-27  Rick Haines  <rick@kuroyi.net>

	* modules/adv717x.c (adv717x_update):
	Fix color bars.
	
2001-06-26  Rick Haines  <rick@kuroyi.net>

	* scripts/microcode_upload.pl:
	Remove the error message when it can't open a device.
	You'll know it failed if you don't get success message(s).

	* modules/Makefile
	Add debug target (almost left VIDEOMODE_DEFAULT set to NTSC :)
	I'm considering a nice way to add pal and ntsc targets as well.
	
	* modules/bt865.c,
	  modules/adv717x.c:
	Patch from cch to add color_bars module option to turn on
	color bars when the modules load.
	
2001-06-23  Rick Haines  <rick@kuroyi.net>

	* modules/em8300_ioctl.c:
	Merge patch from Daniel Chassot:

	"This one corrects a problem with the value of
	em->clockgen that was correct only for the TV mode and
	note for the overlay mode."

	"This patch removes all the small color squares that
	are displayed over the overlay screen during playback."
	
2001-06-20  Rick Haines  <rick@kuroyi.net>

	* include/libdxr3/api.h
	Add #ifdef __cplusplus stuff as requested by
	Stefan Jahn
	
2001-06-20  Rick Haines  <rick@kuroyi.net>

	Merge some patches from Daniel Chassot.
	
	* modules/em9010.c:
	"The em9010 patch fix a problem with the setting of the
	16bit sync register of the em9010"

	* overlay/dxr3view.c:
	"The dxr3view patch fixe a problem with the overlay
	initialisation if the screen depth is not 24"
	
2001-06-13  Rick Haines  <rick@kuroyi.net>

	* modules/bt865.c,
	  modules/em8300_audio.c,
	  modules/em8300_video.c,
	  modules/em8300_dicom.c,
	  modules/em8300_i2c.c,
	  modules/em8300_main.c,
	  modules/em8300_reg.h,
	  modules/encoder.h,
	  include/linux/em8300.h:
	merge Chris C. Hoover's bt865 patch

	* modules/README-modules.conf
	add the lines I put in my modules.conf
	
2001-06-13  Rick Haines  <rick@kuroyi.net>

	* libdxr3/dxr3-api.c
	remove microcode uploading from libdxr3
	You must now manually upload the microcode before
	using the device (post-install in /etc/modules.conf)
	
2001-06-13  Rick Haines  <rick@kuroyi.net>

	* modules/Makefile,
	  modules/Makefile.2.2,
	  modules/README-2.2,
	  modules/README-2.4.0:
	Add new Makefile for 2.4 kernels (from Graeme Gregory) and
	make it the default. If no problems are found I'll remove
	all the make-* scripts.
	
2001-06-12  Rick Haines  <rick@kuroyi.net>

	* scripts/microcode_upload.pl:
	add exit statement if upload fails
	
2001-05-13  Rick Haines  <rick@kuroyi.net>

	* include/libdxr3/api.h,
	  libdxr3/dxr3-api.c:
	dxr3_audio_write() now just writes the data sent to it,
	dxr3_audio_write_ac3() will process it if in digitalac3 mode.
	
2001-05-11  Rick Haines  <rick@kuroyi.net>

	* modules/em8300_video.c (em8300_video_check_ptsfifo):
	make the same change as we did for spu
	
2001-05-10  Rick Haines  <rick@kuroyi.net>

	* modules/em8300_audio.c:
	merge new digitalac3/pcm patch from Mattias Svensson
	
2001-05-10  Rick Haines  <rick@kuroyi.net>

	* libdxr3/ac3spdif.c (output_spdif),
	  modules/em8300_audio.c:
	revert my change and merge Mattias Svensson's patch

	* xine/xine-0.4.01_dxr3.patch.gz:
	put this on the ftp site instead
	
2001-05-10  Rick Haines  <rick@kuroyi.net>

	* modules/em8300_ioctl.c (em8300_control_ioctl):
	add ov_scr and ov_cal to fix some type casting errors

	* libdxr3/ac3spdif.c (output_spdif):
	comment out the swab for ac3 data, this should fix digitalac3

	* modules/em8300_spu.c (em8300_spu_check_ptsfifo):
	merge disappearing subtitle patch from Eduard Hasenleithner
	
2001-04-23  Rick Haines  <rick@kuroyi.net>

	* modules/*:
	merge kernel coding style patch from James Farwell
	and make a pass through the code myself.
	
2001-04-22  Rick Haines  <rick@kuroyi.net>

	* modules/em8300_audio.c,
	  modules/em8300_video.c:
	remove the 1 sec requirement for rollover.
	Now if we get any pts lower than the lastpts
	we'll consider it a rollover.  I was attempting
	to work around broken mpeg's but it's not worth
	doing it in the driver.  So much for my eva #4 fix..
	
2001-04-22  Rick Haines  <rick@kuroyi.net>

	* m4/gtk.m4,
	  configure.in,
	  Makefile.am,
	  dhc/Makefile.am,
	  overlay/Makefile.am:
	add autoconf check for gtk thanks to m4 file
	'borrowed' from glade by Bo.
	
2001-04-20  Rick Haines  <rick@kuroyi.net>

	* xine/xine-0.4.01_dxr3.patch.gz:
	the aspect ratio stuff is really there this time,
	I promise.

	* modules/em8300_audio.c:
	work around a weird pts problem in my Evangelion #4 dvd.

2001-04-20  Rick Haines  <rick@kuroyi.net>

	* xine/README,
	  xine/xine-0.4.01_dxr3.patch.gz:
	update xine patch to use installed libdxr3.
	Now selects correct aspect ratio (make sure
	to get the updated input plugin as well)
	
2001-04-19  Rick Haines  <rick@kuroyi.net>

	* overlay/dxr3view.c:
	make overlay mode default since it works for me now

	* overlay/autocal.c:
	fix another hardcoded resolution
	NUM_MONITORS needs to go somewhere better
	
2001-04-18  Rick Haines  <rick@kuroyi.net>

	* modules/em8300_audio.c:
	add my_abs() to fix missing abs() with gcc 2.96
	
2001-04-18  Rick Haines  <rick@kuroyi.net>

	* modules/em8300_main.c:
	patch from Eg to make use_bt865 work with multiple cards.
	we'll want to do this with all the options.
	
	* scripts/microcode_upload.pl:
	try to upload microcode to all the devices (from Eg)
	
2001-04-17  Rick Haines  <rick@kuroyi.net>

	* overlay/dxr3view.c:
	patch from Tony Bybell to fix vertical squish
	
	* overlay/autocal.c:
	patch from Tony Bybell for 
	'autocal automatic x/y/plane detect'

2001-03-31  Rick Haines  <rick@kuroyi.net>

	* xine/xine_dxr3.patch.gz,
	  xine/xine-0.4.01_dxr3.patch.gz:
	fix xine exit problem.  dxr3_write_*
	were blocking when playback was stopped/paused.
	
2001-03-29  Rick Haines  <rick@kuroyi.net>

	* modules/em8300_audio.c (preprocess_digital):
	reverse the em->swapbytes condition.
	this should fix pcm, I wonder if it breaks ac3
	
	* modules/*:
	fix up all the printk's

	* xine/xine-0.4.01_dxr3.patch.gz:
	remove check for libcss from configure.in
	
2001-03-28  Rick Haines  <rick@kuroyi.net>

	* modules/em8300_i2c.c (em8300_i2c_reg):
	printk and return -ENODEV if we don't
	recognize the device id.

	* include/linux/em8300.h
	add ENCODER_UNKNOWN
	
2001-03-27  Rick Haines  <rick@kuroyi.net>

	* xine/xine-0.4.01_dxr3.patch.gz:
	add modified xine patch from Paul Laufer
	that applies to xine-0.4.01
	
2001-03-25  Rick Haines  <rick@kuroyi.net>

	* modules/README-greenscreen,
	  modules/em8300_main.c,
	  modules/em8300_video.c:
	add bt865_ucode_timeout module parameter
	for people with bt865's who get timeouts
	uploading their microcode.
	
2001-03-21  Rick Haines  <rick@kuroyi.net>

	* dhc/*
	rescue dhc from zeev01 branch since people
	still find it useful.  Updated it a bit.
	
2001-03-17  Rick Haines  <rick@kuroyi.net>

	* scripts/microcode_extract.pl,
	  scripts/microcode_info.pl:
	endian fixes from Fabian Jakobs
	
2001-03-15  Rick Haines  <rick@kuroyi.net>

	* include/linux/Makefile.am,
	  em8300.spec.in:
	install em8300.h properly

2001-03-14  Rick Haines  <rick@kuroyi.net>

	* omsplugin/README,
	  omsplugin/plugin-install.sh,
	  omsplugin/dxr3/*:
	update from James Farwell to let omsplugin use libdxr3.
	The next step is to make it build outside the oms source
	tree.  That'll require some way to remove the libac3
	dependency.
	
2001-03-14  Rick Haines  <rick@kuroyi.net>

	another patch from Andrew to clean up a few things
	from the last one.
	
2001-03-13  Rick Haines  <rick@kuroyi.net>

	merge patch from Andrew Meredith; fixes make dist
	for the headers, adds make dist-rpm, adds boot
	self-build scripts.  I'm a bit iffy about a couple
	things (/etc/rc.d/init.d/ doesn't exist on all systems)
	but I'll leave it for now.
		
2001-03-13  Rick Haines  <rick@kuroyi.net>

	* modules/em8300_main.c,
	  modules/adv717x.c:
	merge patches from Paul Laufer.  Fixes missing
	symbol 'remap', turns on interlaced and turns
	off pedestal for ADV7170 in NTSC mode.

	* scripts/msexpand.pl:
	add this to help people extract their microcode
	thanks to Paul Laufer.
	
2001-03-11  Rick Haines  <rick@kuroyi.net>

	* include/libdxr3/api.h,
	  libdxr3/dxr3-api.c:
	patch from James Farwell to make dxr3_audio_write
	handle DIGITALAC3 instead of the plugins.

	* xine/xine_dxr3.patch.gz
	now uses the new libdxr3
	
2001-03-11  Rick Haines  <rick@kuroyi.net>

	* include/*
	move the includes that should get installed here.

	move the configure stuff to the root dir.
	
2001-03-08  Rick Haines  <rick@kuroyi.net>

	* libdxr3/*:
	created
	
2001-03-05  Rick Haines  <rick@kuroyi.net>

	* xine/README,
	  xine/xine_dxr3.patch.gz:
	added xine_dxr3 patch
	
2001-03-04  Rick Haines  <rick@kuroyi.net>

	* modules/em8300.h,
	  modules/em8300_dicom.c,
	  modules/em8300_video.c:
	fix aspect ratio stuff thanks to information on enabling
	16x9 mode from Morten Bøgeskov.

	* omsplugin/dxr3/em8300.h,
	  omsplugin/dxr3/dxr3-api.h,
	  omsplugin/dxr3/dxr3_mpeg2.c:
	update to match aspect ratio changes
	
2001-03-03  Rick Haines  <rick@kuroyi.net>

	* omsplugin/dxr3/em8300.h,
	  omsplugin/dxr3/dxr3-api.h,
	  omsplugin/dxr3/dxr3-api.c:
	update oms plugin
	
2001-03-03  Rick Haines  <rick@kuroyi.net>

	* modules/em8300.h,
	  modules/em8300_audio.c,
	  modules/em8300_video.c,
	  modules/em8300_main.c:
	integrate new sync code.  It's messier than I'd like
	but works well for me.

	* modules/README-greenscreen:
	add info about swap_redblue_pal

2001-02-28  Rick Haines  <rick@kuroyi.net>

	* modules/make-install-2.4
	merge patch from Stefan Lucke so we install
	the other kernel modules too.  This has
	been bugging me for a while as well.
	
2001-02-25  Rick Haines  <rick@kuroyi.net>

	* modules/em8300.h,
	  modules/em8300_ioctl.c,
	  overlay/dxr3view.c,
	  overlay/overlay.h,
	  overlay/overlay.c:
	merged patch from Edward Salley,
	adds overlay_signalmode ioctl to set fullscreen overlay,
	fixes bug in ratio switching.
	
2001-02-25  Rick Haines  <rick@kuroyi.net>

	* modules/em8300_main.c
	merge patch from Frédéric Crozat,
	"A cast is needed in switch, otherwise em8300.o
	needs a function which is only present in 
	libgcc.a (compiler library) :  __cmpdi2"

	* modules/adv717x.c
	added swap_redblue_pal for people with
	swapped red and blue components;
	changes Timing Register 1 for PAL and PAL60.
	register values from Frédéric Crozat.
	
2001-02-19  Rick Haines  <rick@kuroyi.net>

	* modules/em8300_video.c (em8300_video_setup):
	move write_register(0x1f47,0x18) to fix microcode
	uploading with bt865 cards.

	* modules/em8300_dicom.c,
	  modules/em8300_main.c:
	added activate_loopback module parameter for people
	who get blank screen after uploading microcode.
	
2001-02-18  Rick Haines  <rick@kuroyi.net>

	* modules/adv717x.c: remove #define DEBUG since
	it's in em8300.h

	* modules/adv717x.c,
	  modules/em8300_dicom.c,
	  modules/em8300_main.c,
	  modules/em8300.h:
	merged in module parameter code from Jonas Birme and
	added a few for the adv717x module.
	
	* modules/README-greenscreen: modified to describe
	the new module parameters

	* omsplugin/dxr3/em8300.h:
	updated.
	
2001-02-12  Rick Haines  <rick@kuroyi.net>

	* modules/em8300_video.c, modules/em8300_spu.c: change
	the setpts ioctls to use get_user for consistency.
	
	* omsplugin/dxr3/dxr3-api.c: updated to match ioctl changes.
	dxr3_audio_set_mode should now actually set the mode.

	* ChangeLog: started.
	* AUTHORS: started.

